<?php
function ysoltpReq($def, $sys, $aplname, $inarray) {

	$reqdata = "rq\n" . $aplname . "\n";
	foreach ($inarray as $key => $val) {
		$reqdata .= $key . "=" . $val . "\n";
	}
	reset($inarray);

	$oltpReq = new ffi ("[lib='ysphpOltp.dll'] char *oltpReq(char *def, char *sys, char *reqdata);" );

	$retstr = $oltpReq->oltpReq($def, $sys, $reqdata);

	$len = strlen($retstr);
	$pos1 = 0;
	$pos2 = 0;

	$outarray = array();

	for ($i = 0; $pos1 < $len; $i++) {
		$pos2 = strpos ($retstr, "=", $pos1);
		if ($pos2 == FALSE) break;

		$key = substr ($retstr, $pos1, $pos2 - $pos1);
		$pos1 = $pos2 + 1;

		$pos2 = strpos ($retstr, "\n", $pos1);
		if ($pos2 == FALSE) break;

		$val = substr ($retstr, $pos1, $pos2 - $pos1);
		$pos1 = $pos2 + 1;
		$outarray[$key] = $val;
	}
	return $outarray;
}

$def = "c:\yscsoltp\conf\phpsvdef.txt";
$sys = "php2";
$apl = "ysapPhpDba1";
$inarray = array("skip" => "0", "record" => "100", "sql" => "select * from tbyscsuser");

$outarray = ysoltpReq($def, $sys, $apl, $inarray);

ksort($outarray);
print_r($outarray);

?>
