<?php
function ysoltpReq($def, $sys, $aplname, $inarray) {

	$reqdata = "rq\n" . $aplname . "\n";
	foreach ($inarray as $key => $val) {
		$reqdata .= $key . "=" . $val . "\n";
	}
	reset($inarray);

	$oltpReq = new ffi ("[lib='ysphpOltp.dll'] char *oltpReq(char *def, char *sys, char *reqdata);" );

	$retstr = $oltpReq->oltpReq($def, $sys, $reqdata);

	$len = strlen($retstr);
	$pos1 = 0;
	$pos2 = 0;

	$outarray = array();

	for ($i = 0; $pos1 < $len; $i++) {
		$pos2 = strpos ($retstr, "=", $pos1);
		if ($pos2 == FALSE) break;

		$key = substr ($retstr, $pos1, $pos2 - $pos1);
		$pos1 = $pos2 + 1;

		$pos2 = strpos ($retstr, "\n", $pos1);
		if ($pos2 == FALSE) break;

		$val = substr ($retstr, $pos1, $pos2 - $pos1);
		$pos1 = $pos2 + 1;
		$outarray[$key] = $val;
	}
	return $outarray;
}

list($sec1, $sec2) = explode(" ", microtime());
$start = $sec1 + $sec2;
echo 'start = '.$start.'<br>';

$def = "c:\yscsoltp\conf\phpsvdef.txt";
$sys = "php1";
$apl = "samphpsvEcho";
$inarray = array("d1" => "", "d2" => "f[^");

for($i = 0; $i < 1000; $i++) {
	$outarray = ysoltpReq($def, $sys, $apl, $inarray);
//	print_r($outarray);
}

list($sec1, $sec2) = explode(" ", microtime());
$end = $sec1 + $sec2;
echo 'end = '.$end.'<br>';

?>
